<?php
#PROFISSIONAL
			
if(isset($_POST['salvar_morador'])) {
$nome			=	$_POST['nome'];
$ordem		=	$_POST['ordem'];
if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
	$path = $_FILES['foto']['name'];
	$ext = pathinfo($path, PATHINFO_EXTENSION);
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".".$ext;
	$destino		=	"../images/moradores/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$desc_seo		=	$_POST['descricao_seo'];
$titulo			=	$_POST['title'];
$status			=	$_POST['status'];
$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "αΰγβικνστυϊόϋηΑΐΓΒΙΚΝΣΤΥΪάΫΗ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "αΰγβικνστυϊόϋηΑΐΓΒΙΚΝΣΤΥΪάΫΗ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$insert	= "INSERT INTO tb_moradores (nome, imagem, ordem, titulo_seo, desc_seo, url_seo, status) VALUES ('$nome', '$destino2', $ordem, '$titulo', '$desc_seo', '$url_seo', $status)";
if($query	= mysql_query($insert)){
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
	}

echo "<p class='return-form'> Morador cadastrado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR PROFISSIONAL

if(isset($_GET['delmor'])) {

$delcod			=	$_GET['delmor'];
$select			=  "SELECT * FROM tb_moradores WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem'] <> ""){
unlink("../images/moradores/".$sqlsel['imagem']);	 
}

$delete 			= "DELETE FROM tb_moradores WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'>Morador excluido.</p>";
	
}



#EDITAR PROFISSIONAL
if(isset($_POST['editar_morador'])){

$cod			=	$_POST['cod'];	
$nome			=	$_POST['nome'];
$ordem		=	$_POST['ordem'];
if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto2'];
} else {
	
	$path = $_FILES['foto']['name'];
	$ext = pathinfo($path, PATHINFO_EXTENSION);
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".".$ext;
	$destino		=	"../images/moradores/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$desc_seo		=	$_POST['descricao_seo'];
$titulo			=	$_POST['title'];
$status			=	$_POST['status'];
$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "αΰγβικνστυϊόϋηΑΐΓΒΙΚΝΣΤΥΪάΫΗ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "αΰγβικνστυϊόϋηΑΐΓΒΙΚΝΣΤΥΪάΫΗ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$update	= "UPDATE tb_moradores SET nome = '$nome', ordem = $ordem, imagem = '$destino2', titulo_seo = '$titulo', desc_seo = '$desc_seo', url_seo = '$url_seo', status = $status WHERE cod = $cod";
echo mysql_error();
if($queryupdate	=	mysql_query($update)){
	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		if($_POST['foto2'] <> ""){
			unlink("../images/moradores/".$_POST['foto2']);
		}
	}
	
	echo "<p class='return-form'>Morador alterado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>"; 
	
} }
?>